Get Farcaster Profile
curl --request GET \
--url https://api.memoryproto.co/farcaster \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.memoryproto.co/farcaster"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.memoryproto.co/farcaster', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "244819",
"avatarUrl": "https://imagedelivery.net/BXluQx4ige9GuW0Ia56BHw/931fd467-68f8-4146-9487-a9017c0f6700/rectcrop3",
"bio": "Turning your data into a revenue stream || Open your Memory Vault to start earning.",
"creationDate": null,
"displayName": "Memory",
"externalUrl": null,
"followersCount": 1267,
"followingCount": 81,
"location": "",
"postsCount": null,
"username": "memoryprotocol.eth",
"custodyAddress": "0x4f1c7cda0ad3a6d1d22295fe06545fff03f7c6aa",
"verifiedAccounts": [
{
"platform": "x",
"username": "memoryprotocol"
}
],
"verifiedAddresses": {
"ethAddresses": [
"0x17f4e14afab578386b6cd15685bcb30a32910e9c",
"0xe0349505ada0cc21b3b10a46d70e6fa96098c5fa"
],
"solAddresses": [
"EhF9EdGVMUCkY6sf7naaVhjsfJFfF6jH4LrjxtwZHj2S"
],
"primary": {
"ethAddress": "0xe0349505ada0cc21b3b10a46d70e6fa96098c5fa",
"solAddress": "EhF9EdGVMUCkY6sf7naaVhjsfJFfF6jH4LrjxtwZHj2S"
}
}
}
}"You have run out of credits. Please purchase more to continue.""Error getting {username} profile."Social Graph Endpoints
Get Farcaster Profile
Retrieve the Farcaster profile of an account by username or fid.
GET
/
farcaster
Get Farcaster Profile
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Get your API key at https://memoryproto.co/developers.
Example:
"Bearer mem_xxx"
Query Parameters
Farcaster username of the user. For example, memoryprotocol.eth or base.base.eth.
Examples:
"memoryprotocol.eth"
"base.base.eth"
Fid of the Farcaster account. For example, 244819 or 12142.
Examples:
244819
12142
Response
Successful response containing the user's Farcaster profile.
Farcaster profile.
Show child attributes
Show child attributes
Example:
{
"id": "244819",
"avatarUrl": "https://imagedelivery.net/BXluQx4ige9GuW0Ia56BHw/931fd467-68f8-4146-9487-a9017c0f6700/rectcrop3",
"bio": "Turning your data into a revenue stream || Open your Memory Vault to start earning.",
"creationDate": null,
"displayName": "Memory",
"externalUrl": null,
"followersCount": 1267,
"followingCount": 81,
"location": "",
"postsCount": null,
"username": "memoryprotocol.eth",
"custodyAddress": "0x4f1c7cda0ad3a6d1d22295fe06545fff03f7c6aa",
"verifiedAccounts": [
{
"platform": "x",
"username": "memoryprotocol"
}
],
"verifiedAddresses": {
"ethAddresses": [
"0x17f4e14afab578386b6cd15685bcb30a32910e9c",
"0xe0349505ada0cc21b3b10a46d70e6fa96098c5fa"
],
"solAddresses": [
"EhF9EdGVMUCkY6sf7naaVhjsfJFfF6jH4LrjxtwZHj2S"
],
"primary": {
"ethAddress": "0xe0349505ada0cc21b3b10a46d70e6fa96098c5fa",
"solAddress": "EhF9EdGVMUCkY6sf7naaVhjsfJFfF6jH4LrjxtwZHj2S"
}
}
}
⌘I